Skip to content
CatalogPrice Lists

Create price list

Creates a price list with its scope, rules, and variant prices.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.ecomiq.pe/api/v1/catalog/price-lists" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Mayorista",    "currency": "PEN",    "isActive": true,    "priority": 10,    "scope": "product",    "productIds": [      "7204558912004325302"    ],    "items": [      {        "variantId": "7204558912004325377",        "unitPrice": 75,        "breaks": [          {            "minQuantity": 12,            "unitPrice": 69          },          {            "minQuantity": 50,            "unitPrice": 65          }        ]      },      {        "variantId": "7204558912004325382",        "unitPrice": 75,        "breaks": [          {            "minQuantity": 12,            "unitPrice": 69          },          {            "minQuantity": 50,            "unitPrice": 65          }        ]      }    ]  }'
{  "id": "7204558912004325340"}